/***********************************************
* Dynamic Ajax Content-Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
***********************************************/

var bustcachevar=0 //bust potential caching of external pages after initial request? (1=yes, 0=no)
var loadedobjects=""
var rootdomain="http://"+window.location.hostname
var bustcacheparameter=""
var loadstatustext="<img src='/library/scripts/images/loading.gif' width=15 height=15 />"

function ajaxpage(url, containerid, method, form){		
	var page_request = false
	if (window.XMLHttpRequest) // if Mozilla, Safari etc
		page_request = new XMLHttpRequest()
	else if (window.ActiveXObject){ // if IE
		try {
			page_request = new ActiveXObject("Msxml2.XMLHTTP")
		} 
		catch (e){
			try{
				page_request = new ActiveXObject("Microsoft.XMLHTTP")
			}
			catch (e){}
		}
	}
	else
		return false	
	
	document.getElementById(containerid).innerHTML=loadstatustext	
	page_request.onreadystatechange=function(){			
		loadpage(page_request, containerid)
	}
	if (bustcachevar) //if bust caching of external page
		bustcacheparameter=(url.indexOf("?")!=-1)? "&"+new Date().getTime() : "?"+new Date().getTime()

	if(method=='POST'){
		page_request.open('POST', url, true);
		page_request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		if(form !=''){
			var data = document.getElementById(form).elements;
			for(var i = 0; i< data.length; i++) 
				page_request.send(data[i].name + "=" + data[i].value);
		}
	}else{
		page_request.open('GET', url+bustcacheparameter, true)
		page_request.send(null)
	}
}

function loadpage(page_request, containerid){
	if (page_request.readyState == 4 && (page_request.status==200 || window.location.href.indexOf("http")==-1)) {
		document.getElementById(containerid).innerHTML=page_request.responseText
		ajax_parseJs(document.getElementById(containerid))
	}
}

function loadobjs(){
if (!document.getElementById)
return
for (i=0; i<arguments.length; i++){
var file=arguments[i]
var fileref=""
if (loadedobjects.indexOf(file)==-1){ //Check to see if this object has not already been added to page before proceeding
if (file.indexOf(".js")!=-1){ //If object is a js file
fileref=document.createElement('script')
fileref.setAttribute("type","text/javascript");
fileref.setAttribute("src", file);
}
else if (file.indexOf(".css")!=-1){ //If object is a css file
fileref=document.createElement("link")
fileref.setAttribute("rel", "stylesheet");
fileref.setAttribute("type", "text/css");
fileref.setAttribute("href", file);
}
}
if (fileref!=""){
document.getElementsByTagName("head").item(0).appendChild(fileref)
loadedobjects+=file+" " //Remember this object as being already added to page
}
}
}

function ajax_parseJs(obj)
{
        var scriptTags = obj.getElementsByTagName('SCRIPT');
        var string = '';
        var jsCode = '';
        for(var no=0;no<scriptTags.length;no++){
                if(scriptTags[no].src){
                var head = document.getElementsByTagName("head")[0];
                var scriptObj = document.createElement("script");

                scriptObj.setAttribute("type", "text/javascript");
                scriptObj.setAttribute("src", scriptTags[no].src);
                }else{
                        if(navigator.userAgent.toLowerCase().indexOf('opera')>=0){
                                jsCode = jsCode + scriptTags[no].text + '\n';
                        }
                        else
                                jsCode = jsCode + scriptTags[no].innerHTML;
                }

        }

        if(jsCode)ajax_installScript(jsCode);
}


function ajax_installScript(script)
{
    if (!script)
        return;
    if (window.execScript){
        window.execScript(script)
	// wongkc 26/1/2016, remove for mobile version handling
    //}else if(window.jQuery && jQuery.browser.safari){ // safari detection in jQuery
    //    window.setTimeout(script,0);
    }else{
        window.setTimeout( script, 0 );
    }
}

